#!/bin/sh -x 
#
# ipsec.sh to run on lantronix device BEFORE linuxsdk script
#
# for testing we use
#   10.0.1.0/24 -- lantronix ---- linuxsdk -- 10.0.2.0/24
# lantronix eth0 has 192.168.16.101/24
# linuxsdk eth1 has 192.168.16.102/24

# assumes both sides contain an ipsec.secrets file, for example containg:
#  : PSK "randomstring12346"


ifconfig eth0:1 10.0.1.101 netmask 255.255.255.0
route add default gw 192.168.16.102

# prepare /proc since we don't have ipsec _stackmanager
cd /proc/sys/net/ipv4/conf
for i in *
do
   echo 0 > $i/rp_filter
   echo 1 > $i/log_martians
   echo 1 > $i/forwarding
   echo 0 > $i/send_redirects
   echo 0 > $i/accept_redirects
done

cd /
./pluto --debug-all &
./whack --name tunnel --updown /bin/true --ikev2-propose --ikev2-allow --host 192.168.16.101 --client 10.0.1.0/24 --to --host 192.168.16.102 --client 10.0.2.0/24 --tunnel --psk --encrypt
./whack --listen
./whack --initiate --name tunnel
ping -I 10.0.1.101 10.0.2.202
